EvLoop::run
EvLoop::stat
EvLoop
PHP Manual

# EvLoop::signal

Creates EvSignal watcher object associated with the current event loop instance

### Description

final public EvSignal EvLoop::signal ( int `$signum` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Creates EvSignal watcher object associated with the current event loop instance

### Parameters

All parameters have the same meaning as for EvSignal::__construct

### Return Values

Returns EvSignal object on success

### See Also

- EvSignal::__construct